dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
set_inpun_fun("gameinput");
location={}
location["flower"] = true
location["flower"] = {}
location["flower"]["id"] = 14
location["flower"]["sub_id"] = 0
function LevelComplete()
  DeleteElement("gr",121);
  DeleteElement("gr",10);
  DeleteElement("gr",11);
  DeleteElement("gr",15);
  DeleteElement("gr",37);
  DeleteElement("gr",40);
  DeleteElement("gr",36);
  DeleteElement("gr",41);
  flags.levelcomplete=true;
    whole_darkness=false;
  DarkScreen(true);
  ShowMenu(false)
end;
function LoadingLevel(param)
if flags.levelcomplete then
  delete_tree_leaf("Root","flower");-- Добавляет лист в дерево 
  setnextlavel(15);
  loadlavel();
return; end;
SetAlfaValue(503,0);
     SLevel=param;
return;end;
flags={};
flags["comx"]=false;
flags["comx1"]=false;
flags["minicomplete"]=false;
flags["minicomplete1"]=false;
flags["first"]=false;
flags["all"]=false;
flags["levelcomplete"]= false;
flags["nohints"]=false;
flags["HintCount"]=5;
add_tree_leaf("Root","flower",14,0);-- Добавляет лист в дерево 

  addstaticobjecttogame(877777777,"buttons",114,625,"",60,0,61,61);
  SetCurrentRM("menu");
  AddSheet(1002,"re","red_b",103,656,37,41,"",99,657,605,80,92,21,5,5,0,59,877777777,nil,"buttonsY");
  SetCurrentRM("main");
ShowMenu(true);
loadresource("data\\photoaparat.png","photoaparat",2000029);
loadresource("data\\animationMENU3.png","menuAn",2000030);
AddImgToBook("photoaparat",821,637);
AddHints()
dofile("./data/14/0/res.lua");
setcurentleaf("flower",14,0);
WaitRender()
flags.comx= true

    ShowMenu(false);
    playfile(".\\sound\\game_theme2.ogg",true,true);
function StartLevel()
  DarkScreen(false);
    SetCurrentRM("menu");
    AddImgToBook("photoaparat",821,637);
    AddHints()
  SetCurrentRM("main");
    ShowMenu(true);
      AddParticleToObject(32,"zvezd",154,390);
      MoveEmiter("zvezd",154,390);
      AddParticleToObject(57,"Svet2",301,559);
      MoveEmiter("Svet2",301,559);
      if (not flags.minicomplete26) then
        StartEmiter("zvezd");
      end;
      if (not flags.minicomplete42) then
        StartEmiter("Svet2");
      end;
end